Show / Hide Table of Contents

# Class MarketBoardCurrentOfferings

This class represents the current market board offerings from a game network packet.

##### Inheritance

System.Object
MarketBoardCurrentOfferings

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Network.Structures

###### Assembly: Dalamud.dll

##### Syntax

    public class MarketBoardCurrentOfferings

### Properties

| Improve this Doc View Source

#### ItemListings

Gets the list of individual item listings.

##### Declaration

    public List<MarketBoardCurrentOfferings.MarketBoardItemListing> ItemListings { get; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.List<MarketBoardCurrentOfferings.MarketBoardItemListing> |

| Improve this Doc View Source

#### ListingIndexEnd

Gets the listing end index.

##### Declaration

    public int ListingIndexEnd { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ListingIndexStart

Gets the listing start index.

##### Declaration

    public int ListingIndexStart { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### RequestId

Gets the request ID.

##### Declaration

    public int RequestId { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

### Methods

| Improve this Doc View Source

#### Read(IntPtr)

Read a MarketBoardCurrentOfferings object from memory.

##### Declaration

    public static MarketBoardCurrentOfferings Read(IntPtr dataPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | dataPtr | Address to read.

##### Returns

Type | Description
--- | ---
MarketBoardCurrentOfferings | A new MarketBoardCurrentOfferings object.